# Class SerialTransitionsBuilder

A class for building serial transitions

#### Example

    const builder = new SerialTransitionsBuilder({ deep });
    const table = 'links';
    const transition = [null, {
     type_id: deep.id("@deep-foundation/core", "Type")
    }];
    const {data} =
     builder
     .append({ table, transition, alias: firstLinkAlias })
     .append({ table, transition, alias: secondLinkAlias })
     .execute()
    const firstLink = data[firstLinkAlias] // or data[0]

- Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:24

#####
Index

### Constructors

constructor

### Methods

actions
append
appendMultiple
clear
execute
getDeep
getDefaultTable
getExecuteOptions
getTransitionType
setDeep
setDefaultTable
setExecuteOptions

##
Constructors

### constructor

- new SerialTransitionsBuilder(options): SerialTransitionsBuilder

- #### Parameters

  - options: SerialTransitionsBuilderOptions

  #### Returns SerialTransitionsBuilder

  - Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:30

##
Methods

### actions

- actions(): SerialAction[]

- #### Returns SerialAction[]

  - Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:110

### append

- append(options): SerialTransitionsBuilder

- #### Parameters

  - options: AppendTransitionOptions

  #### Returns SerialTransitionsBuilder

  - Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:37

### appendMultiple

- appendMultiple(options): SerialTransitionsBuilder

- #### Parameters

  - options: AppendTransitionOptions[]

  #### Returns SerialTransitionsBuilder

  - Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:42

### clear

- clear(): SerialTransitionsBuilder

- #### Returns SerialTransitionsBuilder

  - Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:81

### execute

- execute(options?): Promise<DeepClientResult<Record<string, {
  id: Id;
  }>>>

- #### Parameters

  - options: ExecuteOptions = ...

  #### Returns Promise<DeepClientResult<Record<string, {
  id: Id;
  }>>>

  - Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:86

### getDeep

- getDeep(): DeepClient<Link<Id>>

- #### Returns DeepClient<Link<Id>>

  - Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:140

### getDefaultTable

- getDefaultTable(): Table<"insert" | "update" | "delete">

- #### Returns Table<"insert" | "update" | "delete">

  - Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:131

### getExecuteOptions

- getExecuteOptions(): ExecuteOptions

- #### Returns ExecuteOptions

  - Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:149

### getTransitionType

- getTransitionType(transition): TransitionType

- #### Parameters

  - transition: Transition

  #### Returns TransitionType

  - Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:114

### setDeep

- setDeep(deep): SerialTransitionsBuilder

- #### Parameters

  - deep: DeepClient<Link<Id>>

  #### Returns SerialTransitionsBuilder

  - Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:135

### setDefaultTable

- setDefaultTable(table): SerialTransitionsBuilder

- #### Parameters

  - table: Table<"insert" | "update" | "delete">

  #### Returns SerialTransitionsBuilder

  - Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:126

### setExecuteOptions

- setExecuteOptions(options): SerialTransitionsBuilder

- #### Parameters

  - options: ExecuteOptions

  #### Returns SerialTransitionsBuilder

  - Defined in work/deeplinks/deeplinks/imports/experimental/serial-transitions-builder.ts:144